<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XSipTrunkDestination StructType
 * @subpackage Structs
 */
class XSipTrunkDestination extends AbstractStructBase
{
    /**
     * The sortOrder
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sortOrder;
    /**
     * The addressIpv4
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $addressIpv4;
    /**
     * The addressIpv6
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $addressIpv6;
    /**
     * The port
     * Meta information extracted from the WSDL
     * - default: 5060
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $port;
    /**
     * Constructor method for XSipTrunkDestination
     * @uses XSipTrunkDestination::setSortOrder()
     * @uses XSipTrunkDestination::setAddressIpv4()
     * @uses XSipTrunkDestination::setAddressIpv6()
     * @uses XSipTrunkDestination::setPort()
     * @param string $sortOrder
     * @param string $addressIpv4
     * @param string $addressIpv6
     * @param string $port
     */
    public function __construct($sortOrder = null, $addressIpv4 = null, $addressIpv6 = null, $port = '5060')
    {
        $this
            ->setSortOrder($sortOrder)
            ->setAddressIpv4($addressIpv4)
            ->setAddressIpv6($addressIpv6)
            ->setPort($port);
    }
    /**
     * Get sortOrder value
     * @return string
     */
    public function getSortOrder()
    {
        return $this->sortOrder;
    }
    /**
     * Set sortOrder value
     * @param string $sortOrder
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSipTrunkDestination
     */
    public function setSortOrder($sortOrder = null)
    {
        $this->sortOrder = $sortOrder;
        return $this;
    }
    /**
     * Get addressIpv4 value
     * @return string|null
     */
    public function getAddressIpv4()
    {
        return $this->addressIpv4;
    }
    /**
     * Set addressIpv4 value
     * @param string $addressIpv4
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSipTrunkDestination
     */
    public function setAddressIpv4($addressIpv4 = null)
    {
        $this->addressIpv4 = $addressIpv4;
        return $this;
    }
    /**
     * Get addressIpv6 value
     * @return string|null
     */
    public function getAddressIpv6()
    {
        return $this->addressIpv6;
    }
    /**
     * Set addressIpv6 value
     * @param string $addressIpv6
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSipTrunkDestination
     */
    public function setAddressIpv6($addressIpv6 = null)
    {
        $this->addressIpv6 = $addressIpv6;
        return $this;
    }
    /**
     * Get port value
     * @return string|null
     */
    public function getPort()
    {
        return $this->port;
    }
    /**
     * Set port value
     * @param string $port
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSipTrunkDestination
     */
    public function setPort($port = '5060')
    {
        $this->port = $port;
        return $this;
    }
}
